<?php
/*
Plugin Name: WP 60sNews
Plugin URI: http://www.wpon.cn/33737.html
Description: 完全免费的每日新闻自动发布工具，助力你的SEO！
Author: 夏柔公益
Version: 1.4.1
Author URI: http://www.aa1.cn/
*/



// 加载插件样式和脚本
add_action('admin_enqueue_scripts', 'wp_60snews_enqueue_assets');


function wp_60snews_enqueue_assets() {
    // 获取插件目录的路径
    $plugin_dir = plugin_dir_url(__FILE__);

    // 检查是否在特定插件的页面上
    if (isset($_GET['page']) && $_GET['page'] === 'XiaRounews_plugin_settings') {
        // 仅在特定插件页面上加载CSS文件
        wp_enqueue_style('wp-60snews-bootstrap', $plugin_dir . 'assets/css/bootstrap.min-xr.css', array(), '1.0.0', 'all');
        
        wp_enqueue_style('wp-60snews-style', $plugin_dir . 'assets/css/style.css', array(), '1.1.3', 'all');
        
        wp_enqueue_script('wp-60snews-script', $plugin_dir . 'assets/js/bootstrap.min.js', array('jquery'), '1.0.0', true);

    }

  
}


add_action('init', 'Free_60s_news');

function XiaRounews_plugin_action_links($links) {
    $settings_link = '<a href="options-general.php?page=XiaRounews_plugin_settings">设置</a>';
    array_unshift($links, $settings_link);
    return $links;
}

add_filter('plugin_action_links_' . plugin_basename(__FILE__), 'XiaRounews_plugin_action_links');


// 添加检测版本的代码
add_action('admin_init', 'XiaRounews_plugin_check_version');

function XiaRounews_plugin_check_version() {
    $plugin_data = get_plugin_data(__FILE__);
    $current_version = $plugin_data['Version'];
    $update_url = 'https://60s.aa1.cn/60s-api/update/update-log.json';

    $response = wp_remote_get($update_url);

    if (!is_wp_error($response) && $response['response']['code'] == 200) {
        $update_data = json_decode($response['body'], true);

        $changelog_key = 'changelog-' . $update_data['version'];

        if (isset($update_data[$changelog_key])) {
            $changelog = $update_data[$changelog_key]['data'];
        } else {
            $changelog = array('没有更新日志记录，也许是小更新呢~');
        }

        if (version_compare($current_version, $update_data['version'], '<')) {
            add_action('admin_notices', function () use ($update_data, $changelog) {
                ?>
                <div class="notice notice-success is-dismissible">
                    <p>WP 60sNews 插件有新版本可用！ <a href="#" id="auto-update-link">立即更新</a></p>
                    <p><strong>新版本号：</strong> <?php echo esc_html($update_data['version']); ?></p>
                    <p><strong>推送时间：</strong> <?php echo esc_html($update_data['new_version_time']); ?></p>
                    <p><strong>更新日志：</strong></p>
                    <ul>
                        <?php foreach ($changelog as $log) : ?>
                            <li><?php echo esc_html($log); ?></li>
                        <?php endforeach; ?>
                    </ul> 
                    <hr>
                    <p><strong>更新失败请联系夏柔获取技术支持！</strong> <a href="http://qq.wpon.cn" target="_blank">联系夏柔</a></p>
                </div>

<div class="update-loader" id="popadv_popbox" style="display: none; width: 100%; height: 100%; position: fixed; top: 0px; left: 0px; z-index: 999998;">
    <div id="popadv_popmask" style="width: 100%; height: 100%; position: absolute; top: 0px; left: 0px; background: black; opacity: 0.3;"></div>
    <div id="popadv_popmenu" style="position: absolute; top: 50%; left: 50%; transform: translate(-50%, -50%);">
        <div style="position: relative;">
            <div id="popadv_code" style="position: relative; overflow: hidden; height: 260px;">
                <a href="#" id="auto-update-link" style="display: block; position: relative;">
                    <img src="https://img.api.aa1.cn/2023/11/14/27178840d6fcf.gif" style="display: block; width: 30%; margin-left: 50%;" alt="" border="0" data-ll-status="loading" class="entered loading">
                </a>
                <p style="position: absolute; left: 50%; transform: translateX(-50%); font-size: 16px; color: #fff;">正在更新，请耐心等待！<br>海外主机可能会久一点！</p>
            </div>
        </div>
    </div>
</div>

<script>
    // 添加点击事件监听
    document.getElementById('auto-update-link').addEventListener('click', function (e) {
        e.preventDefault();
        // 显示加载动画
        document.querySelector('.update-loader').style.display = 'block';
        // 发送 AJAX 请求
        jQuery.ajax({
            type: 'POST',
            url: ajaxurl,  // WordPress 提供的全局变量，指向 admin-ajax.php
            data: {
                action: 'auto_update_plugin',
                nonce: '<?php echo wp_create_nonce('auto-update-nonce'); ?>'
            },
            success: function (response) {
                console.log(response);  // 处理成功的回调
                // 隐藏加载动画
                document.querySelector('.update-loader').style.display = 'none';
                // 提示更新成功
                alert('恭喜您，插件已成功更新！');
                // 刷新页面
                location.reload();
            },
            error: function (error) {
                console.error(error);  // 处理错误的回调
                // 隐藏加载动画
                document.querySelector('.update-loader').style.display = 'none';
                // 提示更新失败
                alert('插件更新失败，请联系夏柔QQ：15001904，获取技术支持！手动下载插件包更新：https://60s.aa1.cn/60s-api/download/WP-60sNews.zip');
            }
        });
    });
</script>
 
                <?php
            });
        }
    }
}

// 处理 AJAX 请求
add_action('wp_ajax_auto_update_plugin', 'auto_update_plugin_callback');

function auto_update_plugin_callback() {
    check_ajax_referer('auto-update-nonce', 'nonce');
 
    $plugin_path = WP_PLUGIN_DIR . '/';
    
    // 下载新版本的插件
    $download_url = 'https://60s.aa1.cn/60s-api/download/WP-60sNews.zip';
    $download_response = wp_remote_get($download_url);
    
    if (!is_wp_error($download_response) && $download_response['response']['code'] == 200) {
        $zip_file = $plugin_path . '-temp.zip';
        file_put_contents($zip_file, $download_response['body']);
        
        // 解压缩插件文件
        $zip = new ZipArchive();
        if ($zip->open($zip_file) === true) {
            $zip->extractTo($plugin_path);
            $zip->close();
            unlink($zip_file);
            
        }
    }

    wp_die(); // 结束 AJAX 请求
}








// 引入设置文件
require_once(plugin_dir_path(__FILE__) . 'Free_60s_news_source.php');



?>
